com.amazonaws.services.codebuild.model

## Enum BuildPhaseType

- java.lang.Object
- - java.lang.Enum<BuildPhaseType>
  - - com.amazonaws.services.codebuild.model.BuildPhaseType

All Implemented Interfaces:
  Serializable, Comparable<BuildPhaseType>

    public enum BuildPhaseType
    extends Enum<BuildPhaseType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BUILD`
`COMPLETED`
`DOWNLOAD_SOURCE`
`FINALIZING`
`INSTALL`
`POST_BUILD`
`PRE_BUILD`
`PROVISIONING`
`SUBMITTED`
`UPLOAD_ARTIFACTS`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static BuildPhaseType` `fromValue(String value)` Use this in place of valueOf.
`String` `toString()`
`static BuildPhaseType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static BuildPhaseType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SUBMITTED

    public static final BuildPhaseType SUBMITTED

#### PROVISIONING

    public static final BuildPhaseType PROVISIONING

#### DOWNLOAD_SOURCE

    public static final BuildPhaseType DOWNLOAD_SOURCE

#### INSTALL

    public static final BuildPhaseType INSTALL

#### PRE_BUILD

    public static final BuildPhaseType PRE_BUILD

#### BUILD

    public static final BuildPhaseType BUILD

#### POST_BUILD

    public static final BuildPhaseType POST_BUILD

#### UPLOAD_ARTIFACTS

    public static final BuildPhaseType UPLOAD_ARTIFACTS

#### FINALIZING

    public static final BuildPhaseType FINALIZING

#### COMPLETED

    public static final BuildPhaseType COMPLETED

### Method Detail

#### values

    public static BuildPhaseType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (BuildPhaseType c : BuildPhaseType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static BuildPhaseType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<BuildPhaseType>`

#### fromValue

    public static BuildPhaseType fromValue(String value)

Use this in place of valueOf.

Parameters:
  `value` - real value
Returns:
  BuildPhaseType corresponding to the value